import { postRequest } from '@/api/api';

// 会员标签-标签分类列表
export const tagCategoryList = params => postRequest('/haoban-app-customer-web/tag/classify-list', params);

// 会员标签-同步接口(批量/单个)
export const syncSet = params => postRequest('/haoban-app-customer-web/tag/sync-setting', params);

// 会员标签-同步接口(批量/单个)
export const closeSync = params => postRequest('/haoban-app-customer-web/tag/close-sync', params);

// 会员标签-标签列表
export const tagList = params => postRequest('/haoban-app-customer-web/tag/tag-list', params);

// 会员标签-同步记录
export const syncLog = params => postRequest('/haoban-app-customer-web/tag/sync-log', params);

// 会员标签-同步会员明细
export const syncMemberLog = params => postRequest('/haoban-app-customer-web/tag/sync-member-log', params);

// 会员标签-同步标签明细
export const syncTagLog = params => postRequest('/haoban-app-customer-web/tag/sync-tag-log', params);

// 会员标签-是否可以操作校验
export const checkSync = () => postRequest('/haoban-app-customer-web/tag/check-sync', {});
